org.eclipse.ease.ui.modules.ui

## Class ModulePopupMenu

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractPopupItem
  - - org.eclipse.ease.ui.tools.AbstractPopupMenu
    - - org.eclipse.ease.ui.modules.ui.ModulePopupMenu

All Implemented Interfaces:
  IMenuListener

    public class ModulePopupMenu
    extends AbstractPopupMenu

### Constructor Summary

Constructors
Constructor and Description
`ModulePopupMenu(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry(AbstractPopupItem item)`
`java.util.List<AbstractPopupItem>` `getEntries()`
`void` `sortEntries()`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupMenu

`getContribution, getContributionParameter, getDisplayName, menuAboutToShow`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupItem

`isVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModulePopupMenu

    public ModulePopupMenu(java.lang.String name)

### Method Detail

#### addEntry

    public void addEntry(AbstractPopupItem item)

#### sortEntries

    public void sortEntries()

#### getEntries

    public java.util.List<AbstractPopupItem> getEntries()